Skip to main content
`Ctrl`+`K`

# PetscGetPetscDir

Gets the directory PETSc is installed in

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscGetPetscDir(const char *dir[])

Not Collective; No Fortran Support

## Output Parameter

- dir - the directory

## See Also

`PetscGetArchType()`

## Level

developer

## Location

src/sys/utils/str.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages